<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 12/6/2018
 * Time: 3:15 AM
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idPropiedad']) && isset($_REQUEST['estado'])) {
            $estado = $_REQUEST['estado'];
            $propiedadId = $_REQUEST['idPropiedad'];
            $propiedad = R::load('propiedad', $propiedadId);
            $propiedad->fechaModificacion = date('Y-m-d H:i:s');
            $propiedad->estado = $estado;
            $id = R::store($propiedad);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}